Subject: [Lwip] WGLC for lwig-terminology

From: "Cao Zhen \(CZ\)" <[email-masked]>
Date: Sun, 7 Apr 2013 16:22:49 +0800

Dear All, 

Discussion of lwig-terminology appears to have completed. The authors think this document is ready for working-group last call.  

This is a two-week working-group last call for draft-ietf-lwig-terminology, for publication as an informational RFC. The working group last call ends at _April 20_

Please send your reviews and comments to the mailing list.  If you have reviewed the document, please do indicate whether you think it should go forward.

Thanks and regards,
Co-chairs

---

From: "Dijk, Esko" <[email-masked]>
Date: Thu, 18 Apr 2013 08:51:50 +0000

Dear Cao,

I support publication of this document. However I still see a few things that could be improved prior to publication:

section 2.1 " and available power." -> should it be "and available power/energy." ?

section 2.2.1. ; term "MSL" -> perhaps write it out in full here. Similar as done with the DTN term in the same section.

secion 2.3.1; one sentence I found very cryptic. Perhaps to be rephrased:
        It is not clear that "LLN" is much more specific than "interesting" or "the network characteristics that RPL has been designed for".

section 4.3: could we mention here the term "sleepy device" as being equivalent, or an alternative for, the "Always-off" class?
        I've seen the term "sleepy" more often used than the term "Always-off". The latter term may be confusing (try explaining to a colleague that you want to communicate with an always-off device...)

regards,
Esko

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Cao Zhen (CZ)
Sent: Sunday, April 07, 2013 10:23
To: [email-masked]
Subject: [Lwip] WGLC for lwig-terminology

Dear All,

Thanks and regards,
Co-chairs

_______________________________________________
Lwip mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/lwip

________________________________
The information contained in this message may be confidential and legally protected under applicable law. The message is intended solely for the addressee(s). If you are not the intended recipient, you are hereby notified that any use, forwarding, dissemination, or reproduction of this message is strictly prohibited and may be unlawful. If you are not the intended recipient, please contact the sender by return e-mail and destroy all copies of the original message.

---

From: Carsten Bormann <[email-masked]>
Date: Thu, 18 Apr 2013 10:54:15 +0200

>        It is not clear that "LLN" is much more specific than "interesting" or "the network characteristics that RPL has been designed for".

I have some pretty good editorial comments from Emmanuel Baccelli on this section.
Hope I can send around an update proposal today...

Grüße, Carsten

---

From: Carsten Bormann <[email-masked]>
Date: Thu, 18 Apr 2013 17:10:41 +0200

> Hope I can send around an update proposal today...

Here it is:

2.3.1.  LLN ("low-power lossy network")

   A related term that has been used recently is "low-power lossy
   network" (LLN).  In its terminology document, the ROLL working group
   is saying [I-D.ietf-roll-terminology]:

      LLN: Low power and Lossy networks (LLNs) are typically composed of
      many embedded devices with limited power, memory, and processing
      resources interconnected by a variety of links, such as IEEE
      802.15.4 or Low Power WiFi.  There is a wide scope of application
      areas for LLNs, including industrial monitoring, building
      automation (HVAC, lighting, access control, fire), connected home,
      healthcare, environmental monitoring, urban sensor networks,
      energy management, assets tracking and refrigeration.. [sic]

   In common usage, LLN often stands for "the network characteristics
   that RPL has been designed for".  Beyond what is said in the ROLL
   terminology document, LLNs do appear to have significant loss at the
   physical layer, with significant variability of the delivery rate,
   and some short-term unreliability, coupled with some medium term
   stability that makes it worthwhile to construct medium-term stable
   directed acyclic graphs for routing and do measurements on the edges
   such as ETX [RFC6551].  Actual "low power" does not seem to be
   required for an LLN [I-D.hui-vasseur-roll-rpl-deployment], and the
   positions on scaling of LLNs appear to vary widely
   [I-D.clausen-lln-rpl-experiences].

   The ROLL terminology document states that LLNs typically are composed
   of constrained nodes; this is also supported by the design of
   operation modes such as RPL's "non-storing mode".  So, in the
   terminology of the present document, an LLN seems to be a constrained
   node network with certain network characteristics, which include
   constraints on the network as well.

I hope that is a bit more to the point, and helps correlate the ROLL terminology to the one used in this document.

I'll look at your other points now.

Grüße, Carsten

---

From: Carsten Bormann <[email-masked]>
Date: Thu, 18 Apr 2013 17:18:51 +0200

> section 2.1 " and available power." -> should it be "and available power/energy." ?

Yes.  Changed it to "available power and energy".

> section 2.2.1. ; term "MSL" -> perhaps write it out in full here. Similar as done with the DTN term in the same section.

Indeed (I already had done that based on another editorial comment).

>        I've seen the term "sleepy" more often used than the term "Always-off". The latter term may be confusing (try explaining to a colleague that you want to communicate with an always-off device…

Well, just tell them that you want to communicate with an S0-class device.

The problem I have with "sleepy" is that it is not clear whether S0 or S1 is meant.
Trying to assign a specific meaning to an existing overloaded term is nearly impossible, inventing  a new term is much better.  Of course, "always-off" is a bit provocative...  Good that we have the numeric classes, too.

Grüße, Carsten

---

From: "Cao Zhen \(CZ\)" <[email-masked]>
Date: Mon, 22 Apr 2013 14:40:45 +0800

Dear All, 

The two-week WGLC has finished and I received a number of supports and some positive discussion. Please the authors update the draft and we will move forward. 

Thanks and regards,
zhen

> Sent: Sunday, April 07, 2013 4:23 PM
> To: [email-masked]
> This is a two-week working-group last call for draft-ietf-lwig-terminology, for publication as an
> informational RFC. The working group last call ends at _April 20_
> 
> Please send your reviews and comments to the mailing list.  If you have reviewed the document,
> please do indicate whether you think it should go forward.
> 
> Thanks and regards,
> Co-chairs
> 
> 
> 
> https://w

---

From: "Dijk, Esko" <[email-masked]>
Date: Mon, 22 Apr 2013 08:40:27 +0000

> Well, just tell them that you want to communicate with an S0-class device.
Ok, that's better, instead of questioning my sanity they will now question their own knowledge level ;)
 I understand the concerns as the terms 'sleepy' and 'sleeping' are already widely used.

thanks,
Esko

-----Original Message-----
From: Carsten Bormann [mailto:[email-masked]]
Sent: Thursday, April 18, 2013 17:19
To: Dijk, Esko
Cc: [email-masked]
Subject: Re: [Lwip] WGLC for lwig-terminology

Grüße, Carsten

---

From: Carsten Bormann <[email-masked]>
Date: Tue, 23 Apr 2013 07:52:40 +0200

On Apr 22, 2013, at 08:40, "Cao Zhen \(CZ\)" <[email-masked]> wrote:

> Please the authors update the draft and we will move forward. 

I have just submitted -04, which contains all WGLC changes.

Status:          http://datatracker.ietf.org/doc/draft-ietf-lwig-terminology
Htmlized:        http://tools.ietf.org/html/draft-ietf-lwig-terminology-04
Diff:            http://www.ietf.org/rfcdiff?url2=draft-ietf-lwig-terminology-04

All: This is a good time to have a quick look once more before the chairs submit to IESG.

Grüße, Carsten